
QGIS Application - Bug report #17832

Vector Layer Properties Dialog making QGIS hang

2018-01-10 06:11 AM - Niklas Moran

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: Yes

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 25727

Description

Open a project and then right-click and try to open the properties dialog of the vector layer (shape file) and QGIS hangs. Doesn't matter if

all plugins are disabled.

Last two lines in the Terminal:

src/app/qgsapplayertreeviewmenuprovider.cpp: 410: (legendLayerActions) [13821ms] legendLayerActions for layers of type 0:

src/app/qgsapplayertreeviewmenuprovider.cpp: 415: (legendLayerActions) [0ms] /Update Sql Layer - 0 layers

History

#1 - 2018-01-10 12:35 PM - Richard Duivenvoorde

Works fine for me here:

- latest master (Debian, self compile)

- create a project, with both rasters, shp etc init, save in /tmp/aa

- close project

- open project again

No problems opening Layer Properties.

Is it an old project maybe?

Can you start with a very clean environment, by removing/renaming :   ~/.local/share/QGIS dir ?

Or by starting QGIS eg with:

qgis --profiles-path /tmp/tempprofile

#2 - 2018-01-22 08:00 PM - Denis Rouzaud

- Category changed from Attribute table to Vectors

I am experiencing the same.

Trying with a brand new project and with clean env (--profiles-path /tmp/tempprofile) did not solve the issue.

It does not seem to be affected by the first tab displayed.

Happens on apply click even with no changes at all. Same with cancel.
If I go in the action tab, I also get a freeze in the new action dialog.

#3 - 2018-01-22 08:01 PM - Denis Rouzaud

Running on a Mac

#4 - 2018-01-23 01:37 AM - Nyall Dawson

- Crashes QGIS or corrupts data changed from No to Yes

- Regression? changed from No to Yes

#5 - 2018-01-23 05:01 PM - Denis Rouzaud

does not happen with raster layer properties

#6 - 2018-01-24 02:23 PM - Salvatore Larosa

I can confirm on mac with vector layers, all fine with raster layers. possible duplicates #17813

#7 - 2018-01-24 02:48 PM - Denis Rouzaud

I noticed 2 other places like this:

- vector layer properties => actions => add => switch type to python => change focus from action to text to something else (like description)

- options dialog -> apply or cancel

Could it be a focus out issue?

#8 - 2018-01-24 03:10 PM - Mathieu Pellerin - nIRV

I can't replicate this hang on my linux build:

- Qt 5.9.1

- GDAL/OGR 2.2.1

Would be nice to nail this one.

Denis, you mentioned "switching to generic", on my machine, the default combo box value is generic, isn't that the case on your machine?

#9 - 2018-01-24 03:12 PM - Denis Rouzaud

sorry switch to python

#10 - 2018-01-24 03:15 PM - Denis Rouzaud

probably relevant https://bugreports.qt.io/browse/QTBUG-55725

#11 - 2018-01-24 03:27 PM - Mathieu Pellerin - nIRV
Niklas, just to be sure, are you seeing this hang on a linux machine (as you suggest in your issue form)?

Edit: if you are on linux, can you give us some more information, i.e. which distribution (ubuntu, kubuntu, etc), which Qt5 version is on your system, etc.

#12 - 2018-01-24 05:16 PM - Niklas Moran

I'm on archlinux. On a windows machine I do not have the same issue.

Here is what QtCreator spits out when I attach GDB to the process.

1   QWidget::isAncestorOf(QWidget const *) const                          0x7fffef6e1856 

2   QWidgetPrivate::reparentFocusWidgets(QWidget *)                       0x7fffef6f3723 

3   QWidget::setParent(QWidget *, QFlags<Qt::WindowType>)                 0x7fffef6fa1c9 

4   ??                                                                    0x7fffc482990c 

5   ??                                                                    0x7fffc4848333 

6   QWidgetPrivate::setStyle_helper(QStyle *, bool, bool)                 0x7fffef6e8f0b 

7   QWidgetPrivate::inheritStyle()                                        0x7fffef6e939f 

8   QWidgetPrivate::setStyle_helper(QStyle *, bool, bool)                 0x7fffef6e90a9 

9   QWidgetPrivate::inheritStyle()                                        0x7fffef6e939f 

10  QWidgetPrivate::setStyle_helper(QStyle *, bool, bool)                 0x7fffef6e90a9 

11  QWidgetPrivate::inheritStyle()                                        0x7fffef6e939f 

12  QWidgetPrivate::setStyle_helper(QStyle *, bool, bool)                 0x7fffef6e90a9 

13  QWidgetPrivate::inheritStyle()                                        0x7fffef6e939f 

14  QWidgetPrivate::setStyle_helper(QStyle *, bool, bool)                 0x7fffef6e90a9 

15  QWidgetPrivate::inheritStyle()                                        0x7fffef6e939f 

16  QWidget::setParent(QWidget *, QFlags<Qt::WindowType>)                 0x7fffef6fa224 

17  QLayout::addChildWidget(QWidget *)                                    0x7fffef6d611f 

18  QStackedLayout::insertWidget(int, QWidget *)                          0x7fffef6dc27e 

19  QTabWidget::insertTab(int, QWidget *, QIcon const&, QString const&)   0x7fffef88fe07 

20  QTabWidget::insertTab(int, QWidget *, QString const&)                 0x7fffef88fed9 

... <More>

Does anyone have a guide for debugging QGIS to make better bugreports?

Here are my package versions:

qt5-base 5.10.0-3

qt5-tools 5.10.0-1

qt5-script 5.10.0-1

qtkeychain 0.8.0-2

qca-qt5 2.1.3-6

qt5-webkit 5.212.0alpha2-11

qt5-3d 5.10.0-1

proj 4.9.3-1

geos 3.6.2-1

sqlite 3.22.0-1

python-gdal 2.2.3-1

python-owslib 0.16.0-1

python-future 0.16.0-2

python-sip 4.19.7-1

python-psycopg2 2.7.3.2-1

python-yaml 3.12-3

python-numpy 1.14.0-1

2024-03-13 3/4



python-jinja 2.10-1

python-pygments 2.2.0-1

qwtpolar 1.1.1-3

expat 2.2.5-1

python-qscintilla-qt5 2.10.2-1

spatialindex 1.8.5-1

gsl 2.4-1

libzip 1.4.0-1

#13 - 2018-01-25 03:23 AM - Niklas Moran

> Is it an old project maybe?

Can you start with a very clean environment, by removing/renaming :   ~/.local/share/QGIS dir ?

Or by starting QGIS eg with:

qgis --profiles-path /tmp/tempprofile

I tried loading with --profiles-path /tmp/tempprofile, but it still hangs. Started a new project and added a PostGIS layer. Still, hangs.

#14 - 2018-01-26 10:04 PM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to duplicate

Duplicate of #17916
